import fromArray from '../fromArray';

export default test => {
    const ar = [{
        foo: 'foo',
        bar: 'bar'
    }, {
        foo: 'foo2',
        bar: 'bar2'
    }];

    const extracted = fromArray(ar, 'foo', true);

    test.ok(Object.keys(extracted).length === 2, 'length should be 2');
    test.ok(Object.values(extracted).every(item => ar.includes(item)), 'all objects should be in result');
    test.done();
};