export default function split (ar, chunkSize) {
    return (function innerSplit (rest = [], result = []) {
        if (!rest.length) { return result; }
        return innerSplit(rest.slice(chunkSize), result.concat([rest.slice(0, chunkSize)]));
    }(ar));
}
