/**
 * @memberOf object
 * @param obj
 * @param pred
 * @return {*}
 */
const filter = (obj, pred) => Object.keys(obj).reduce((filtered, key) => {
    const value = obj[key];

    if (pred(key, value)) {
        filtered[key] = value;
    }

    return filtered;
}, {});

export default filter;